#include <bits/stdc++.h>

using namespace std;

typedef long long lli;
#define LF '\n'

const lli N=501;

vector<lli> v;
vector<lli> used;

bool dp[N][N][N];

void solve()
{
    lli n;
    cin >> n;
    v.clear();
    v.resize(n+1);
    for (int i =1;i<=n;i++)cin >> v[i];
    sort(v.begin()+1,v.end());
    for (int i =0;i<=n;i++)for (int j =0;j<=n;j++)for (int g =0;g<=n;g++)dp[i][j][g]=0;
    dp[2][1][1]=1;
    for (int i =2;i<n;i++){
        for (int p1 = 1;p1<=i;p1++){
            for (int p2=1;p2<=i;p2++){
                if(!dp[i][p1][p2])continue;
                lli j = i-1;
                if (j==p1)j--;
                if (j==0)j=1;
                if (v[i+1]-v[i]>=v[i]-v[p1])dp[i+1][i][p2]=1;
                if (v[i+1]-v[j]>=v[j]-v[p2])dp[i+1][j][p1]=1;
            }
        }
    }
    for (int i =1;i<=n;i++){
        for (int j =1;j<=n;j++){
            if (dp[n][i][j]){
                cout << "YES" << LF;
                return;
            }
        }
    }
    cout << "NO" << LF;
}

int main()
{
    freopen("input.txt","r",stdin);
    freopen("output.txt","w",stdout);
    lli t;
    cin >> t;
    while(t--)solve();
}